<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="border bg-white shadow-sm">

  <div class="border-bottom px-1 py-2">
    <fa-icon
      [icon]="isCollapsed ? plusSquareIcon : minusSquareIcon"
      (click)="isCollapsed = !isCollapsed"
      [fixedWidth]="true"
      class="pointer text-primary">
    </fa-icon>
    <strong
      [innerText]="folderViewBlock.Draft | folderViewBlockName"
      class="ms-3">
    </strong>
  </div>

  <form
    *ngIf="!isCollapsed && draftForm"
    [formGroup]="draftForm"
    class="py-2 px-3 ls-form">

    <div class="form-group">
      <label
        [innerText]="commonMessages.NAME"
        for="nameInput">
      </label>
      <input
        [formControl]="draftForm.controls.name"
        id="nameInput"
        class="form-control"
        type="text">
    </div>
    <div
      class="form-group">
      <label
        [innerText]="commonMessages.DUE_DATE"
        for="limit-date">
      </label>
      <input
        [formControl]="draftForm.controls.dueDate"
        [ngClass]="{'text-danger': isDateBeforeNow(folder.dueDate)}"
        [disabled]="!modificationsEnabled"
        id="limit-date"
        class="form-control"
        name="limit-date"
        type="date">
    </div>

    <div class="form-group">
      <label
        [innerText]="commonMessages.TYPE"
        for="typeFieldStatic">
      </label>

      <!-- We don't want the selector if it is not needed -->
      <!-- It would trigger a getTypes request, and show a useless triangle. -->
      <!-- TODO : integrate that in the component -->
      <!--      <ng-container *ngIf="!isDraft">-->
      <input
        id="typeFieldStatic"
        class="form-control"
        type="text"
        [disabled]="true"
        [value]="folder.type?.name | namePipe">
      <!--      </ng-container>-->
      <!--      <ng-container *ngIf="isDraft">-->
      <!--        <app-type-selector-->
      <!--          id="typeFieldSelector"-->
      <!--          [disabled]="!isDraft"-->
      <!--          [mandatory]="true"-->
      <!--          [tenantId]="tenantId"-->
      <!--          [deskId]="desk.id"-->
      <!--          [(type)]="folder.type">-->
      <!--        </app-type-selector>-->
      <!--      </ng-container>-->
    </div>

    <div class="form-group">
      <label
        for="subtypeFieldStatic"
        [innerText]="commonMessages.SUBTYPE">
      </label>

      <!-- We don't want the selector if it is not needed -->
      <!-- It would trigger a getTypes request, and show a useless triangle. -->
      <!-- TODO : integrate that in the component -->

      <ng-container *ngIf="!isDraft">
        <input
          id="subtypeFieldStatic"
          class="form-control"
          type="text"
          [disabled]="true"
          [value]="folder.subtype?.name | namePipe">
      </ng-container>
      <ng-container *ngIf="isDraft">
        <app-subtype-selector
          *ngIf="tenantId"
          id="subtypeSelector"
          [ngbTooltip]="selectedSubtype?.name"
          [mandatory]="true"
          [retrieveSubtypesFunction]="retrieveSubtypesFn"
          [tenantId]="tenantId"
          [type]="folder.type"
          [(subtype)]="selectedSubtype"
          [disabled]="!folder.type"
          (subtypeChange)="onSubtypeSelectionChanged()">
        </app-subtype-selector>
      </ng-container>
    </div>

    <div
      *ngIf="modificationsEnabled"
      class="form-group d-flex justify-content-end">
      <button
        ls-button-save (click)="onSaveButtonClicked()"
        [processing]="saveProcessing">
      </button>
    </div>

  </form>

</div>

